Create client
Create a new OES client for the specified enterprise. This endpoint allows enterprise users to create a new client within the OES system, establishing the foundation for future trading activities. The client will be automatically associated with the enterprise specified in the path parameter.
Error scenarios:
-
400: Invalid Request Error
-
Occurs when the request parameters are invalid or incomplete/
-
Examples: Empty string supplied for enterpriseId.
-
401: Authentication Error
-
Occurs when the request is not authorized.
-
Examples: Caller is not a member of the enterprise.
-
403: Permission Denied Error
-
Occurs when the user does not have permission to create a client for this enterprise.
-
Examples: Enterprise does not have OES license.
-
500: Internal Server Error
-
Occurs when there's an unexpected error processing the request.
-
Examples: Database connection failure, transient network error.
Requires access token scopes: settlement_network_read, settlement_network_write
Path Params
-
enterpriseIdstring requiredEnterprise ID that this client will be associated with. The client will be created under this enterprise's context.
Responses
200
OK
Response Body
object
-
clientobject requiredThe complete client object that was successfully created.client object
-
idstring requiredThe id of the client. -
enterpriseIdstring requiredThe enterprise ID that this client is associated with. -
trustOrgstring enum requiredThe trust organization that this client is associated with.BitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo IndiaBitGo Sister Trust 1 -
walletIdstring requiredThe Go Account ID that the client is associated with -
createdAtstring date-time requiredThe timestamp when the client was created. (ISO 8601 format) -
updatedAtstring date-time requiredThe timestamp when the client was last updated. (ISO 8601 format) -
balanceAlertLastSentstringLast time a balance alert was sent. Typically will be undefined.
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required